Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stonith-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/stonith-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stonith-1.exp
@@ -1,22 +1,22 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="14" operation="running" operation_key="group-1_running_0">
+      <pseudo_event id="15" operation="running" operation_key="group-1_running_0">
         <attributes CRM_meta_timeout="10000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86"/>
+        <rsc_op id="12" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86"/>
       </trigger>
       <trigger>
-        <pseudo_event id="13" operation="start" operation_key="group-1_start_0"/>
+        <pseudo_event id="14" operation="start" operation_key="group-1_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <pseudo_event id="13" operation="start" operation_key="group-1_start_0">
+      <pseudo_event id="14" operation="start" operation_key="group-1_start_0">
         <attributes CRM_meta_timeout="10000" />
       </pseudo_event>
     </action_set>
@@ -24,7 +24,7 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="10" operation="monitor" operation_key="r192.168.100.182_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
+      <rsc_op id="11" operation="monitor" operation_key="r192.168.100.182_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="r192.168.100.182" class="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000" >
           <param name="1" value="192.168.100.182"/>
@@ -35,36 +35,36 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="12" operation="monitor" operation_key="r192.168.100.183_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
+      <rsc_op id="13" operation="monitor" operation_key="r192.168.100.183_monitor_5000" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="r192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000"  ip="192.168.100.183"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86"/>
+        <rsc_op id="12" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="11" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
+      <rsc_op id="12" operation="start" operation_key="r192.168.100.183_start_0" on_node="sles-1" on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86">
         <primitive id="r192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="sles-1" CRM_meta_on_node_uuid="1186dc9a-324d-425a-966e-d757e693dc86" CRM_meta_timeout="10000"  ip="192.168.100.183"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="13" operation="start" operation_key="group-1_start_0"/>
+        <pseudo_event id="14" operation="start" operation_key="group-1_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="67" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="68" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="19" operation="monitor" operation_key="lsb_dummy_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
+      <rsc_op id="20" operation="monitor" operation_key="lsb_dummy_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="lsb_dummy" class="lsb" type="/usr/lib64/heartbeat/cts/LSBDummy"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000" />
       </rsc_op>
@@ -73,48 +73,48 @@
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="22" operation="monitor" operation_key="migrator_monitor_10000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="23" operation="monitor" operation_key="migrator_monitor_10000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="migrator" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" allow_migrate="1" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="21" operation="start" operation_key="migrator_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee"/>
+        <rsc_op id="22" operation="start" operation_key="migrator_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="21" operation="start" operation_key="migrator_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="22" operation="start" operation_key="migrator_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="migrator" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000" allow_migrate="1" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="20" operation="stop" operation_key="migrator_stop_0"/>
+        <pseudo_event id="21" operation="stop" operation_key="migrator_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="67" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="68" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <pseudo_event id="20" operation="stop" operation_key="migrator_stop_0">
+      <pseudo_event id="21" operation="stop" operation_key="migrator_stop_0">
         <attributes CRM_meta_timeout="10000" allow_migrate="1" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="68" operation="stonith" operation_key="stonith-sles-3-reboot" on_node="sles-3" on_node_uuid="2298606a-6a8c-499a-9d25-76242f7006ec"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-sles-3-reboot" on_node="sles-3" on_node_uuid="2298606a-6a8c-499a-9d25-76242f7006ec"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <rsc_op id="27" operation="monitor" operation_key="rsc_sles-2_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
+      <rsc_op id="28" operation="monitor" operation_key="rsc_sles-2_monitor_5000" on_node="sles-2" on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088">
         <primitive id="rsc_sles-2" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-2" CRM_meta_on_node_uuid="02fb99a8-e30e-482f-b3ad-0fb3ce27d088" CRM_meta_timeout="10000"  ip="192.168.100.185"/>
       </rsc_op>
@@ -123,48 +123,48 @@
   </synapse>
   <synapse id="10">
     <action_set>
-      <rsc_op id="30" operation="monitor" operation_key="rsc_sles-3_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="31" operation="monitor" operation_key="rsc_sles-3_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="rsc_sles-3" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000"  ip="192.168.100.186"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="29" operation="start" operation_key="rsc_sles-3_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee"/>
+        <rsc_op id="30" operation="start" operation_key="rsc_sles-3_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="29" operation="start" operation_key="rsc_sles-3_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="30" operation="start" operation_key="rsc_sles-3_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="rsc_sles-3" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000"  ip="192.168.100.186"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="28" operation="stop" operation_key="rsc_sles-3_stop_0"/>
+        <pseudo_event id="29" operation="stop" operation_key="rsc_sles-3_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="67" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="68" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <pseudo_event id="28" operation="stop" operation_key="rsc_sles-3_stop_0">
+      <pseudo_event id="29" operation="stop" operation_key="rsc_sles-3_stop_0">
         <attributes CRM_meta_timeout="10000"  ip="192.168.100.186"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="68" operation="stonith" operation_key="stonith-sles-3-reboot" on_node="sles-3" on_node_uuid="2298606a-6a8c-499a-9d25-76242f7006ec"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-sles-3-reboot" on_node="sles-3" on_node_uuid="2298606a-6a8c-499a-9d25-76242f7006ec"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="33" operation="monitor" operation_key="rsc_sles-4_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="34" operation="monitor" operation_key="rsc_sles-4_monitor_5000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="rsc_sles-4" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_timeout="10000"  ip="192.168.100.187"/>
       </rsc_op>
@@ -173,63 +173,63 @@
   </synapse>
   <synapse id="14">
     <action_set>
-      <rsc_op id="40" operation="monitor" operation_key="child_DoFencing:2_monitor_60000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="41" operation="monitor" operation_key="child_DoFencing:2_monitor_60000" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="child_DoFencing" long-id="child_DoFencing:2" class="stonith" type="external/vmware"/>
         <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_requires="nothing" CRM_meta_timeout="300000"  device_host="vmhost"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="39" operation="start" operation_key="child_DoFencing:2_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee"/>
+        <rsc_op id="40" operation="start" operation_key="child_DoFencing:2_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <rsc_op id="39" operation="start" operation_key="child_DoFencing:2_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
+      <rsc_op id="40" operation="start" operation_key="child_DoFencing:2_start_0" on_node="sles-4" on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee">
         <primitive id="child_DoFencing" long-id="child_DoFencing:2" class="stonith" type="external/vmware"/>
         <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="sles-4" CRM_meta_on_node_uuid="ea7d39f4-3b94-4cfa-ba7a-952956daabee" CRM_meta_requires="nothing" CRM_meta_timeout="180000"  device_host="vmhost"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="38" operation="stop" operation_key="child_DoFencing:2_stop_0"/>
+        <pseudo_event id="39" operation="stop" operation_key="child_DoFencing:2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="41" operation="start" operation_key="DoFencing_start_0"/>
+        <pseudo_event id="42" operation="start" operation_key="DoFencing_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <pseudo_event id="38" operation="stop" operation_key="child_DoFencing:2_stop_0">
+      <pseudo_event id="39" operation="stop" operation_key="child_DoFencing:2_stop_0">
         <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="180000"  device_host="vmhost"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="43" operation="stop" operation_key="DoFencing_stop_0"/>
+        <pseudo_event id="44" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17" priority="1000000">
     <action_set>
-      <pseudo_event id="44" operation="stopped" operation_key="DoFencing_stopped_0">
+      <pseudo_event id="45" operation="stopped" operation_key="DoFencing_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="38" operation="stop" operation_key="child_DoFencing:2_stop_0"/>
+        <pseudo_event id="39" operation="stop" operation_key="child_DoFencing:2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="43" operation="stop" operation_key="DoFencing_stop_0"/>
+        <pseudo_event id="44" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
     <action_set>
-      <pseudo_event id="43" operation="stop" operation_key="DoFencing_stop_0">
+      <pseudo_event id="44" operation="stop" operation_key="DoFencing_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000" />
       </pseudo_event>
     </action_set>
